# Uses of Class
org.apache.lucene.sandbox.search.TermAutomatonQuery

Packages that use TermAutomatonQuery
Package
Description
org.apache.lucene.sandbox.search
This package contains a flexible graph-based proximity query, TermAutomatonQuery, and geospatial queries.

- ## Uses of TermAutomatonQuery in org.apache.lucene.sandbox.search

  Methods in org.apache.lucene.sandbox.search that return TermAutomatonQuery
  Modifier and Type
  Method
  Description
  `TermAutomatonQuery`
  TokenStreamToTermAutomatonQuery.`toQuery(String field, TokenStream in)`
  Pulls the graph (including `PositionLengthAttribute`) from the provided `TokenStream`, and creates the corresponding automaton where arcs are bytes (or Unicode code points if unicodeArcs = true) from each term.